> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proconvey.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get case representatives

> Returns all representatives associated with a specific case.



## OpenAPI

````yaml https://v2.proconvey.co.uk/api/v2/doc get /api/v2/cases/{id}/representatives
openapi: 3.1.0
info:
  title: ProConvey Public API
  version: '2.0'
  description: Public API for case management.
servers: []
security: []
tags:
  - name: Cases
    description: Case management operations including creation, retrieval, and data access
  - name: Clients
    description: Client records for the organisation
  - name: Webhooks
    description: >-
      Webhooks available for receiving updates of events on the ProConvey
      platform
  - name: Organisations
    description: Organization management and setup
  - name: System
    description: System and utility endpoints including branches and documentation
paths:
  /api/v2/cases/{id}/representatives:
    get:
      tags:
        - Cases
      summary: Get case representatives
      description: Returns all representatives associated with a specific case.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Case ID
      responses:
        '200':
          description: List of case representatives
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Case representative ID
                    clientId:
                      type:
                        - string
                        - 'null'
                      description: >-
                        Linked Client entity ID (null if not linked to a stored
                        client)
                    firstName:
                      type: string
                      description: First name
                    lastName:
                      type: string
                      description: Last name
                    emailAddress:
                      type:
                        - string
                        - 'null'
                      description: Email address
                    phoneNumberE164:
                      type:
                        - string
                        - 'null'
                      description: Phone number in E164 format
                    address:
                      oneOf:
                        - allOf:
                            - $ref: '#/components/schemas/Address'
                            - type: object
                              properties:
                                id:
                                  type: string
                        - type: 'null'
                    caseRoles:
                      oneOf:
                        - type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              type:
                                type: string
                                enum:
                                  - Owner
                                  - Buyer
                                  - Attorney
                                  - Deputy
                                  - Executor
                                  - Giftor
                                  - Trustee
                                  - Remortgager
                                  - PointOfContact
                                  - Director
                              representing:
                                type: object
                                description: Details of who/what this role represents
                              nameChangeReason:
                                type:
                                  - string
                                  - 'null'
                              additionalDetails:
                                oneOf:
                                  - type: object
                                  - type: 'null'
                        - type: 'null'
                    bankAccount:
                      oneOf:
                        - type: object
                          properties:
                            bankAccountName:
                              type: string
                            sortCode:
                              type: string
                            accountNumber:
                              type: string
                            bankName:
                              type:
                                - string
                                - 'null'
                            bankAddress:
                              oneOf:
                                - type: object
                                - type: 'null'
                            bankAccountProvideLater:
                              type:
                                - boolean
                                - 'null'
                        - type: 'null'
        '400':
          description: Bad request - missing case ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '401':
          description: Unauthorized - user not authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '403':
          description: Forbidden - user doesn't belong to the organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
        '404':
          description: Case not found or doesn't belong to organization
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
components:
  schemas:
    Address:
      type: object
      description: Postal address
      properties:
        line_1:
          type: string
        line_2:
          type:
            - string
            - 'null'
        line_3:
          type:
            - string
            - 'null'
        post_town:
          type:
            - string
            - 'null'
        county:
          type:
            - string
            - 'null'
        postcode:
          type: string
        uprn:
          type:
            - string
            - 'null'
      additionalProperties: false

````